/*
  $Id: MSController.h,v 3.1 1997/10/27 11:22:41 lukeh Exp $

  Copyright (c) 1996, 1997 Luke Howard.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:
  1. Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software
     must display the following acknowledgement:
         This product includes software developed by Luke Howard.
  4. The name of the other may not be used to endorse or promote products
     derived from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY LUKE HOWARD ``AS IS'' AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  ARE DISCLAIMED.  IN NO EVENT SHALL LUKE HOWARD BE LIABLE
  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  SUCH DAMAGE.
 */

#import <AppKit/AppKit.h>
#import <Foundation/Foundation.h>

#import "MSMessage.h"

@interface MSController : NSObject <MSLogging>
{
	id infoPanel;
	NSFont *messageFont;
	id recipientField;
	id messagePad;
	MSMessage *theMessage;
	BOOL broadcasting;
	id versionString;
}
- (void)showInfoPanel:sender;
- (void)sendMessage:sender;
- (void)broadcastMessage:sender;
- (void)clearMessagePad:sender;
- (void)clearRecipientField:sender;
- (void)log:(NSString *)msg;
@end
