/*
 * msend.h
 *
 * Copyright (c) 1992 Sun Microsystems, Inc.
 * Copyright (c) 1993 Zik Saleeba <zik@zikzak.apana.org.au>
 *
 * Header for msend client.
 * This implementation may be freely copied, modified, and 
 * redistributed, provided that this comment is retained.
 */

/* $Id: msend.h,v 1.1 1997/10/26 07:31:25 lukeh Exp $ */

#ifdef NeXT
#import <libc.h>
#endif

extern char *	prog;		/* the name of the program */


/*
 * types for all procedures.
 */
#ifdef __ANSI__
void usage(void);
void collect_args(char *(**options)[], int *numargs, int argc, char *argv[]);
int main(int argc, char *argv[]);
void append_buffer(char **buffer, int *bufsize, int *msglen, char *addstr, int extra);
void assemble_message(char *user, char *term, char *msg_text);
void do_line(char **buffer, int *bufsize, int *msglen, char *linebuff);
void tcp_msg(struct sockaddr_in *sp);
void udp_msg(struct sockaddr_in *sp, int r, int broad);
void find_broadcast_addresses(int s);
void udp_decode_ack(int s);
void filter(char *text);
void read_file(char *homedir);
void index_text(void);
char *message_was_unread(int msgno);
void display_message(int msgno);
void write_shorter(int showmsgs);
void closeup(void);
void last_message(int showmsgs, int savemsgs);
void unread_message(int savemsgs);
int check_unread(void);
void makeshort(int savemsgs);
void expire(int savemsgs);
#ifdef USE_READLINE
char *readline(char *prompt);
void add_history(char *line);
#endif
char *compat_strstr(char *d, char *s);
#else
void usage();
void collect_args();
int main();
void append_buffer();
void assemble_message();
void do_line();
void tcp_msg();
void udp_msg();
void find_broadcast_addresses();
void udp_decode_ack();
void filter();
void last_message();
void unread_message();
int check_unread();
void makeshort();
void expire();
#ifdef USE_READLINE
char *readline();
void add_history();
#endif
char *compat_strstr();
#endif
